APIRules

Get MCP call condition schema

Get the MCP call condition schema: the variables a condition can read, and their fields.

GET
/rules/scopes/mcp-call/schema

Get the MCP call condition schema: the variables a condition can read, and their fields.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

No permission required.

Response Body

The request has succeeded.

application/json
  1. response
variables*

Available variables and their fields.

Example Request
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/rules/scopes/mcp-call/schema'
Example Response
{  "variables": {    "property1": {      "description": "string",      "fields": {        "property1": {          "type": "string",          "description": "string",          "fields": {            "property1": {},            "property2": {}          }        },        "property2": {          "type": "string",          "description": "string",          "fields": {            "property1": {},            "property2": {}          }        }      },      "dynamic": true    },    "property2": {      "description": "string",      "fields": {        "property1": {          "type": "string",          "description": "string",          "fields": {            "property1": {},            "property2": {}          }        },        "property2": {          "type": "string",          "description": "string",          "fields": {            "property1": {},            "property2": {}          }        }      },      "dynamic": true    }  }}